Page MenuHomePhabricator

Update WikiApiary to MediaWiki 1.35
Open, Stalled, Needs TriagePublic

Description

We should probably update to mediawiki 1.31 as mw 1.29 is about to reach EOL and also is over a year old.

Event Timeline

Paladox created this task.Jul 12 2018, 7:58 PM

This is on our radar but we've not yet scheduled the time for that. I do have a test version of 1.31 running barebones[1] but we've not worked on it.

[1]https://www.wikiapiary.com/w3/index.php?title=Main_Page

@Kghbln Would you happen to know what needs to be done and changed to get us running on 1.31?

Better update to 1.34 or 1.35 instead ?

Akuckartz renamed this task from Update MediaWiki to 1.31 to Update MediaWiki to 1.34 or later.Jun 18 2020, 11:18 AM
Akuckartz awarded a token.

SMW is currently not compatible with MW 1.35 so waiting for an SMW release which does is currently the best option I guess.

Akuckartz changed the task status from Open to Stalled.Jun 18 2020, 2:09 PM

Waiting for MediaWiki 1.35 and a compatible version of SMW.

Akuckartz renamed this task from Update MediaWiki to 1.34 or later to Update MediaWiki to 1.35.Jun 18 2020, 2:10 PM
Nintendofan885 renamed this task from Update MediaWiki to 1.35 to Update WikiApiary to MediaWiki 1.35.Nov 4 2020, 3:01 PM
Kghbln added a comment.Nov 4 2020, 5:19 PM

Compatible version of SMW out in the field. :)